"""Create authentication

Revision ID: d36feac8aa79
Revises: 9a91108c6ddf
Create Date: 2018-08-19 20:14:04.087239

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd36feac8aa79'
down_revision = '9a91108c6ddf'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('blacklist_tokens',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('token', sa.String(length=500), nullable=False),
    sa.Column('blacklisted_on', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('token')
    )
    op.create_table('users',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('registered_on', sa.DateTime(), nullable=False),
    sa.Column('is_USP_user', sa.Boolean(), nullable=False),
    sa.Column('workplace', sa.String(length=64), nullable=False),
    sa.Column('USP_bond_options', sa.String(length=256), nullable=False),
    sa.Column('user_name', sa.String(length=64), nullable=False),
    sa.Column('user_CPF', sa.String(length=64), nullable=False),
    sa.Column('is_person', sa.Boolean(), nullable=False),
    sa.Column('birth_date', sa.String(length=64), nullable=True),
    sa.Column('gender', sa.String(length=64), nullable=True),
    sa.Column('person_id', sa.String(length=64), nullable=True),
    sa.Column('company_name', sa.String(length=64), nullable=True),
    sa.Column('company_id', sa.String(length=64), nullable=True),
    sa.Column('company_ie', sa.String(length=64), nullable=True),
    sa.Column('company_im', sa.String(length=64), nullable=True),
    sa.Column('user_CEP', sa.String(length=64), nullable=False),
    sa.Column('user_address', sa.String(length=64), nullable=False),
    sa.Column('billing_address', sa.String(length=64), nullable=False),
    sa.Column('fields_of_interest', sa.String(length=64), nullable=False),
    sa.Column('user_city', sa.String(length=64), nullable=False),
    sa.Column('user_state', sa.String(length=64), nullable=False),
    sa.Column('user_phone', sa.String(length=64), nullable=False),
    sa.Column('user_phone2', sa.String(length=64), nullable=True),
    sa.Column('user_email', sa.String(length=64), nullable=False),
    sa.Column('password_hash', sa.String(length=64), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('users')
    op.drop_table('blacklist_tokens')
    # ### end Alembic commands ###
